<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@401FF5=19</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Level">
    <parameter min="1" max="6" step="1"/>
    <script state="on">
      <action>temp0 =maincpu.mb@01F1C8</action>
    </script>
    <script state="run">
      <action>maincpu.mb@01F1C8=(param-1)</action>
    </script>
    <script state="off">
      <action>maincpu.mb@01F1C8=temp0 </action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="Make sure you turn OFF the 'Never be stunned or smashed'"/>
  <cheat desc="cheats before you cross the goal line or will have to"/>
  <cheat desc="use the 'Finish this Round Now!' cheats."/>
  <cheat desc=" "/>

  <cheat desc="Infinite Time PL1">
    <script state="run">
      <action>maincpu.pb@400083=64</action>
    </script>
  </cheat>

  <cheat desc="Never be stunned or smashed PL1"> <comment>This cheat stops you getting stunned when hit and allows you to drop onto lower visible platforms without smashing the marble</comment>
    <script state="run">
      <action>maincpu.pb@400032=00</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now! PL1"> <comment>You may have to wait a few seconds though</comment>
    <script state="on">
      <action>maincpu.pb@400032=06</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Time PL2">
    <script state="run">
      <action>maincpu.pb@400165=64</action>
    </script>
  </cheat>

  <cheat desc="Never be stunned or smashed PL2"> <comment>This cheat stops you getting stunned when hit and allows you to drop onto lower visible platforms without smashing the marble</comment>
    <script state="run">
      <action>maincpu.pb@400114=00</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now! PL2"> <comment>You may have to wait a few seconds though</comment>
    <script state="on">
      <action>maincpu.pb@400114=06</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
